#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QGraphicsScene>

#include "trafficlog.h"
#include "trafficmap.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void loadLog();
    void loadMap();

private:
    void updateSceneWithLog(TrafficLog);
    void updateSceneWithMap(trafficmap);
    QGraphicsScene scene;
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
