#ifndef TRAFFICLOG_H
#define TRAFFICLOG_H

#include <QGraphicsItem>
#include <QSequentialAnimationGroup>
#include <QList>
#include <QFile>

#include "caritem.h"
#include "trafficlogitem.h"

class TrafficLog : public QList <TrafficLogItem>
{
public:
    TrafficLog();
    QSequentialAnimationGroup* animation(QMap <QString, CarItem*>);
    
};
TrafficLogItem readLogItem (QString str);
TrafficLog readTrafficLogFile (QFile &file);

#endif // TRAFFICLOG_H
